<%@ page language="C#" masterpagefile="~/ReportLayer/ReportLayerMaster.master" autoeventwireup="true" inherits="ReportLayer_BadgeReport, CardAccess.Web.UI_deploy" title="Untitled Page" theme="Office2007Black" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <script src="Scripts/jquery-1.2.3.min.js" type="text/javascript"></script>
    <script language="javascript" type="text/javascript">
        ShowBusyPopup();

        function openBadgeAdvanceSearchForm() {
            var width = 500;
            var height = 375;
            var x = 0; var y = 0;
            if (screen) {
                x = (screen.width - width) / 2;
                y = (screen.height - height) / 2;
            }
            winArgs = 'toolbar=0,menubar=0,location=0,status=0,scrollbars=0,width=' + width + ',height=' + height + ',left=' + x + ',top=' + y;
            window.open("BadgeAdvanceSearch.aspx", "BadgeASCriteria", winArgs);
        }

        function openBadgeSortForm() {
            var width = 460;
            var height = 300;
            var x = 0; var y = 0;
            if (screen) {
                x = (screen.width - width) / 2;
                y = (screen.height - height) / 2;
            }
            winArgs = 'toolbar=0,menubar=0,location=0,status=0,scrollbars=0,width=' + width + ',height=' + height + ',left=' + x + ',top=' + y;
            window.open("BadgeSortForm.aspx", "BadgeSortCriteria", winArgs);
        }

        function UpdateSortCriteria(strValue) {
            $find("<%=this.txtSortCriteria.ClientID %>").set_value(strValue);
        }

        function txtNum_KeyPress(oEdit, keyCode, oEvent) {
            if (keyCode.get_keyCode() < 48 || keyCode.get_keyCode() > 57) {
                keyCode.set_cancel(true);
            }
        }
    </script>
    <asp:UpdatePanel ID="asyncPanel" runat="server">
        <ContentTemplate>
            <asp:Label ID="lblTableHeader" runat="server" SkinID="TableHeader" Style="font-size: 8pt;
                font-weight: bold; color: #033E82; padding-left: 5px;"></asp:Label>
            <br />
            &nbsp;
            <ig:WebTab ID="UltraWebTab1" runat="server" Width="100%" Height="630px">
                <PostBackOptions EnableLoadOnDemandUrl="true" />
                <Tabs>
                    <ig:ContentTabItem Text="Configuration">
                        <Template>
                            <div style="padding: 5px;">
                                <table border="0">
                                    <tr valign="middle">
                                        <td style="padding-top: 5px;">
                                            <div class="ig_Office_2007ReportPreViewBg">
                                                <asp:LinkButton Style="margin-top: 10px; text-decoration: none; color: #033E82" ID="lnkPreview"
                                                    OnClick="LinkPreview_Click" runat="server" OnClientClick="return previewReport();"
                                                    ToolTip="Click here to Preview the report">Preview report</asp:LinkButton>
                                            </div>
                                        </td>
                                        <td>
                                            <ig:WebDropDown ID="ddlTimeFormat" runat="server" Visible="true" DisplayMode="DropDownList"
                                                Width="120px" DropDownContainerHeight="60px">
                                            </ig:WebDropDown>
                                        </td>
                                        <td>
                                            <asp:Label ID="lblPartition" runat="server" Text="Partition"></asp:Label>
                                        </td>
                                        <td>
                                            <ig:WebDropDown ID="ddlPartition" runat="server" Visible="true" DisplayMode="DropDownList"
                                                Width="180px" DropDownContainerHeight="150px">
                                            </ig:WebDropDown>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                            <div id="divConfiguration" runat="server" style="width: 100%;">
                                <ig:WebTab ID="UltraWebTab11" runat="server" Width="700px" OnSelectedIndexChanged="igMyTabs_SelectedIndexChanged"
                                    AutoPostBackFlags-SelectedIndexChanged="On" SelectedIndex="1">
                                    <AutoPostBackFlags SelectedIndexChanged="On" />
                                    <Tabs>
                                        <ig:ContentTabItem Text="Personnel" ScrollBars="Hidden">
                                            <Template>
                                                <asp:UpdatePanel ID="WebAsyncRefreshPanel1" runat="server">
                                                    <ContentTemplate>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <igmisc:WebGroupBox ID="gboBadgeCriteria" runat="server" Text="Badge Criteria" BackColor="Transparent">
                                                                        <Template>
                                                                            <table width="100%">
                                                                                <tr>
                                                                                    <td valign="top">
                                                                                        <table width="100%">
                                                                                            <tr>
                                                                                                <td valign="top">
                                                                                                    <asp:CheckBox ID="chkBadges" runat="server" Text="Badges" OnCheckedChanged="chkBadges_CheckedChanged"
                                                                                                        AutoPostBack="true" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <table>
                                                                                                        <tr>
                                                                                                            <td>
                                                                                                                <asp:Label ID="lblFrom" runat="server" Text="From:"></asp:Label>
                                                                                                            </td>
                                                                                                            <td>
                                                                                                                <ig:WebTextEditor Width="95px" ID="spinBadgeFrom" MaxLength="19" runat="server">
                                                                                                                    <ClientEvents KeyPress="txtNum_KeyPress" />
                                                                                                                </ig:WebTextEditor>
                                                                                                            </td>
                                                                                                            <td>
                                                                                                                <asp:Label ID="lblTo" runat="server" Text="To:"></asp:Label>
                                                                                                            </td>
                                                                                                            <td>
                                                                                                                <ig:WebTextEditor Width="92px" ID="spinBadgeTo" MaxLength="19" runat="server">
                                                                                                                    <ClientEvents KeyPress="txtNum_KeyPress" />
                                                                                                                </ig:WebTextEditor>
                                                                                                            </td>
                                                                                                        </tr>
                                                                                                    </table>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td valign="top">
                                                                                                    <asp:CheckBox ID="chkAccessGroup" runat="server" Text="Access Group" OnCheckedChanged="chkAccessGroup_CheckedChanged"
                                                                                                        AutoPostBack="True" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="cmbAccessGroup" runat="server" Width="250px">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td valign="top">
                                                                                                    <asp:CheckBox ID="chkDepartment" runat="server" Text="Department" OnCheckedChanged="chkDepartment_CheckedChanged"
                                                                                                        AutoPostBack="True" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="cmbDepartment" runat="server" Width="250px">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td valign="top">
                                                                                                    <asp:CheckBox ID="chkLocation" runat="server" Text="Location" OnCheckedChanged="chkLocation_CheckedChanged"
                                                                                                        AutoPostBack="True" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="cmbLocation" runat="server" Width="250px">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td valign="top">
                                                                                                    <asp:CheckBox ID="chkAlarmShuntGroup" runat="server" Text="Alarm Shunt Group" OnCheckedChanged="chkAlarmShuntGroup_CheckedChanged"
                                                                                                        AutoPostBack="True" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="cmbAlarmShuntGroup" runat="server" Width="250px" Enabled="false">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </td>
                                                                                    <td valign="bottom">
                                                                                        <asp:CheckBoxList ID="clbAditionalCriteria" runat="server">
                                                                                            <asp:ListItem Value="1">Enabled</asp:ListItem>
                                                                                            <asp:ListItem Value="2">Disabled</asp:ListItem>
                                                                                            <asp:ListItem Value="3">Tracked</asp:ListItem>
                                                                                            <asp:ListItem Value="4">Resident</asp:ListItem>
                                                                                            <asp:ListItem Value="5">Nonresident</asp:ListItem>
                                                                                            <asp:ListItem Value="6">Escort</asp:ListItem>
                                                                                            <asp:ListItem Value="7">Door Shunt</asp:ListItem>
                                                                                            <asp:ListItem Value="8">Dedicated Access</asp:ListItem>
                                                                                        </asp:CheckBoxList>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </Template>
                                                                    </igmisc:WebGroupBox>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <igmisc:WebGroupBox ID="gboDateRanges" runat="server" Text="Date Ranges" BackColor="Transparent">
                                                                        <Template>
                                                                            <table width="100%">
                                                                                <tr>
                                                                                    <td valign="top">
                                                                                        <asp:CheckBox ID="chkDateActivation" runat="server" Text="Activation" OnCheckedChanged="chkDateActivation_CheckedChanged"
                                                                                            AutoPostBack="True" />
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                        <ig:WebDatePicker ID="dateActivation" runat="server">
                                                                                        </ig:WebDatePicker>
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                        <asp:CheckBox ID="chkDateLastEdit" runat="server" Text="Last Edit" OnCheckedChanged="chkDateLastEdit_CheckedChanged"
                                                                                            AutoPostBack="True" />
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                        <ig:WebDatePicker ID="dateLastEdit" runat="server">
                                                                                        </ig:WebDatePicker>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td valign="top">
                                                                                        <asp:CheckBox ID="chkDateDeactivation" runat="server" Text="Deactivation" OnCheckedChanged="chkDateDeactivation_CheckedChanged"
                                                                                            AutoPostBack="True" />
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                        <ig:WebDatePicker ID="dateDeactivation" runat="server">
                                                                                        </ig:WebDatePicker>
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                        <asp:CheckBox ID="chkDateUnused" runat="server" Text="Unused Badges Since" OnCheckedChanged="chkDateUnused_CheckedChanged"
                                                                                            AutoPostBack="True" />
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                        <ig:WebDatePicker ID="dateUnused" runat="server">
                                                                                        </ig:WebDatePicker>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td valign="top">
                                                                                        <asp:CheckBox ID="chkDateHire" runat="server" Text="Hired Date" OnCheckedChanged="chkDateHire_CheckedChanged"
                                                                                            AutoPostBack="True" />
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                        <ig:WebDatePicker ID="dateHire" runat="server">
                                                                                        </ig:WebDatePicker>
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                    </td>
                                                                                    <td valign="top">
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </Template>
                                                                    </igmisc:WebGroupBox>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <igmisc:WebGroupBox ID="gboAdvanceOption" runat="server" Text="Advance Option" BackColor="Transparent">
                                                                        <Template>
                                                                            <table width="100%">
                                                                                <tr>
                                                                                    <td>
                                                                                        <asp:Label ID="lblSprtCriteria" runat="server" Text="Sort Criteria" Width="75px"></asp:Label>
                                                                                    </td>
                                                                                    <td colspan="3">
                                                                                        <ig:WebTextEditor ID="txtSortCriteria" BorderColor="#ABC1DE" runat="server" Height="20px"
                                                                                            Width="328px" ReadOnly="true">
                                                                                        </ig:WebTextEditor>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr align="left">
                                                                                    <td>
                                                                                    </td>
                                                                                    <td>
                                                                                        <igtxt:WebImageButton ID="btnSortCriteria" runat="server" Text="Select Sort Option"
                                                                                            AutoSubmit="false" ClickOnEnterKey="false" ClickOnSpaceKey="false" Width="165px"
                                                                                            Height="24px">
                                                                                            <ClientSideEvents Click="openBadgeSortForm()" />
                                                                                        </igtxt:WebImageButton>
                                                                                    </td>
                                                                                    <td align="left">
                                                                                        <igtxt:WebImageButton ID="btnAdvanceSearch" runat="server" Text="Other Search Criteria"
                                                                                            Width="165px" Height="24px" OnClick="btnAdvanceSearch_Click" AutoSubmit="true"
                                                                                            ClickOnEnterKey="false" ClickOnSpaceKey="false">
                                                                                        </igtxt:WebImageButton>
                                                                                    </td>
                                                                                    <td width="100%">
                                                                                        &nbsp;
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </Template>
                                                                    </igmisc:WebGroupBox>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <igmisc:WebGroupBox ID="gboReportCriteria" runat="server" GroupingText="Report Criteria"
                                                                        BackColor="Transparent">
                                                                        <Template>
                                                                            <table width="595">
                                                                                <tr>
                                                                                    <td align="left" colspan="2">
                                                                                        <asp:RadioButtonList ID="rgReportContent" runat="server" RepeatColumns="2" CellPadding="0"
                                                                                            CellSpacing="0" Width="424px">
                                                                                            <asp:ListItem Value="1" Selected="True">Minimal</asp:ListItem>
                                                                                            <asp:ListItem Value="2">Personnel Data</asp:ListItem>
                                                                                            <asp:ListItem Value="3">All Data</asp:ListItem>
                                                                                            <asp:ListItem Value="4">User Fields</asp:ListItem>
                                                                                            <asp:ListItem Value="5">Compressed</asp:ListItem>
                                                                                        </asp:RadioButtonList>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </Template>
                                                                    </igmisc:WebGroupBox>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </Template>
                                        </ig:ContentTabItem>
                                        <ig:ContentTabItem Text="Access List" ScrollBars="Hidden">
                                            <Template>
                                                <asp:UpdatePanel ID="WebAsyncRefreshPanel2" runat="server">
                                                    <ContentTemplate>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <igmisc:WebGroupBox ID="gboAccessListSelection" runat="server" Text="Access List Selection"
                                                                        BackColor="Transparent">
                                                                        <Template>
                                                                            <table>
                                                                                <tr>
                                                                                    <td></td>
                                                                                    <td></td>
                                                                                    <td></td>
                                                                                    <td colspan="2"><asp:Label ID="lblInclude" runat="server" Text="Include" Font-Underline="true" ></asp:Label></td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td rowspan="3" style="width: 170px">
                                                                                        <asp:RadioButtonList ID="rgAccessList" runat="server" OnSelectedIndexChanged="rgAccessList_SelectedIndexChanged"
                                                                                            AutoPostBack="True">
                                                                                            <asp:ListItem Value="1">Reader Access List</asp:ListItem>
                                                                                            <asp:ListItem Value="2">Access Group List</asp:ListItem>
                                                                                            <asp:ListItem Value="3">Personnel Access List</asp:ListItem>
                                                                                        </asp:RadioButtonList>
                                                                                    </td>
                                                                                    <td align="right" valign="top">
                                                                                        <asp:Label ID="lblReaderDescription" runat="server" Text="Reader Description: "></asp:Label>
                                                                                    </td>
                                                                                    <td style="width: 3px">
                                                                                        <ig:WebDropDown ID="cmbReaderDescription" runat="server" Width="200px" EnableDropDownAsChild="false">
                                                                                        </ig:WebDropDown>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:CheckBox ID="chkIncludeBadgeNumberReader" runat="server" Text="Badge Number"  Width="100px"/>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:CheckBox ID="chkIncludeBadgeDisabledNumberReader" runat="server" Text="Disabled Badge"  Width="100px"/>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td align="right" valign="top">
                                                                                        <asp:Label ID="lblAccessGroups" runat="server" Text="Access Groups:"></asp:Label>
                                                                                    </td>
                                                                                    <td style="width: 3px">
                                                                                        <ig:WebDropDown ID="cmbAccessGroupList" runat="server" Width="200px" EnableDropDownAsChild="false">
                                                                                        </ig:WebDropDown>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:CheckBox ID="chkIncludeBadgeNumberAG" runat="server" Text="Badge Number" Width="100px"/>
                                                                                    </td>
                                                                                    <td>
                                                                                        <asp:CheckBox ID="chkIncludeDisabledBadgeNumberAG" runat="server" Text="Disabled Badge"  Width="100px"/>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td align="right" valign="top">
                                                                                        <asp:Label ID="lblBadgeHolderName" runat="server" Text="Badge Holder Name:"></asp:Label>
                                                                                    </td>
                                                                                    <td style="width: 3px">
                                                                                        <ig:WebDropDown ID="cmbBadgeHolderName" runat="server" Visible="true" DisplayMode="DropDownList"
                                                                                            Width="200px" EnableDropDownAsChild="false">
                                                                                        </ig:WebDropDown>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </Template>
                                                                    </igmisc:WebGroupBox>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </Template>
                                        </ig:ContentTabItem>
                                        <ig:ContentTabItem Text="First-In Area Report" ScrollBars="Hidden">
                                            <Template>
                                                <asp:UpdatePanel ID="upFirstInArea" runat="server">
                                                    <ContentTemplate>
                                                        <table width="100%">
                                                            <tr>
                                                                <td>
                                                                    <igmisc:WebGroupBox ID="WebGroupBox1" runat="server" Text="Area Include in Report"
                                                                        BackColor="Transparent">
                                                                        <Template>
                                                                            <table  width="595">
                                                                                <tr>
                                                                                    <td>
                                                                                        <asp:Panel ID="WebGroupBox2" runat="server" GroupingText="First-In Lockdown Areas"
                                                                                            Height="200px" Width="300px" BackColor="Transparent" ScrollBars="Vertical">
                                                                                            <asp:CheckBoxList ID="lstFirstInLockdownAreas" runat="server">
                                                                                            </asp:CheckBoxList>
                                                                                        </asp:Panel>
                                                                                    </td>
                                                                                    <td>
                                                                                        <igmisc:WebGroupBox ID="WebGroupBox3" runat="server" Text="Date Range" BackColor="Transparent"
                                                                                            Width="300px">
                                                                                            <Template>
                                                                                                <table>
                                                                                                    <tr>
                                                                                                        <td valign="top">
                                                                                                            <asp:Label ID="Label1" runat="server" Text="From:"></asp:Label>
                                                                                                        </td>
                                                                                                        <td>
                                                                                                            <ig:WebDatePicker ID="dtpDateFrom" runat="server" Width="100px">
                                                                                                            </ig:WebDatePicker>
                                                                                                        </td>
                                                                                                        <td valign="top">
                                                                                                            <asp:Label ID="Label2" runat="server" Text="To:"></asp:Label>
                                                                                                        </td>
                                                                                                        <td>
                                                                                                            <ig:WebDatePicker ID="dtpDateTo" runat="server" Width="100px">
                                                                                                            </ig:WebDatePicker>
                                                                                                        </td>
                                                                                                    </tr>
                                                                                                </table>
                                                                                            </Template>
                                                                                        </igmisc:WebGroupBox>
                                                                                    </td>
                                                                                </tr>
                                                                                <tr>
                                                                                    <td colspan="2">
                                                                                        <table>
                                                                                            <tr>
                                                                                                <td>
                                                                                                    &nbsp;
                                                                                                </td>
                                                                                                <td>
                                                                                                    <asp:Label ID="lblBadgeProperty" runat="server" Text="Badge Property"></asp:Label>
                                                                                                </td>
                                                                                                <td>
                                                                                                    <asp:Label ID="lblPropertyValue" runat="server" Text="Property Value"></asp:Label>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <asp:CheckBox ID="chkBadgeFilter" runat="server" Text="Badge Filter" OnCheckedChanged="chkBadgeFilter_CheckedChanged"
                                                                                                        AutoPostBack="true" Width="200px" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="ddlBadgeProperty" runat="server" Width="150px" Enabled="false"
                                                                                                        AutoPostBack="true" OnSelectionChanged="ddlBadgeProperty_OnSelectionChanged"
                                                                                                        DropDownContainerHeight="100px" EnableDropDownAsChild="false" DisplayMode="DropDownList">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="ddlBadgePropertyValue" runat="server" Width="150px" Enabled="false"
                                                                                                        DropDownContainerHeight="100px" EnableDropDownAsChild="false" DisplayMode="DropDownList">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td>
                                                                                                    <asp:CheckBox ID="chkIncludeReport" runat="server" Text="Include in Report" OnCheckedChanged="chkIncludeReport_CheckedChanged"
                                                                                                        AutoPostBack="true" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="ddlIncludeReport" runat="server" Width="150px" Enabled="false"
                                                                                                        DropDownContainerHeight="100px" EnableDropDownAsChild="false" DisplayMode="DropDownList">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                                <td>
                                                                                                    &nbsp;
                                                                                                </td>
                                                                                            </tr>
                                                                                            <tr>
                                                                                                <td>
                                                                                                    &nbsp;&nbsp;<asp:Label ID="lblIncludeDatabase" runat="server" Text="Include Database" />
                                                                                                </td>
                                                                                                <td>
                                                                                                    <ig:WebDropDown ID="ddlIncludeDatabase" runat="server" Width="250px" EnableDropDownAsChild="false">
                                                                                                    </ig:WebDropDown>
                                                                                                </td>
                                                                                                <td>
                                                                                                    &nbsp;
                                                                                                </td>
                                                                                            </tr>
                                                                                        </table>
                                                                                    </td>
                                                                                </tr>
                                                                            </table>
                                                                        </Template>
                                                                    </igmisc:WebGroupBox>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </ContentTemplate>
                                                </asp:UpdatePanel>
                                            </Template>
                                        </ig:ContentTabItem>
                                    </Tabs>
                                </ig:WebTab>
                            </div>
                            <div>
                                <table style="margin: 5px 5px 5px 0px; padding: 5px; border: 1px solid #5090C0; width: 700px;">
                                    <tr>
                                        <td style="padding-left: 5px;">
                                            <asp:Label ID="lblReportTitle" Width="75px" runat="server" Text="Report Title"></asp:Label>
                                        </td>
                                        <td style="padding-left: 5px;">
                                            <ig:WebTextEditor ID="tbReportTitle" runat="server" Width="420px">
                                            </ig:WebTextEditor>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                        </td>
                                        <td>
                                            <asp:CheckBox ID="chkPersonnelRportStructure" runat="server" Text="Show Report Structure" />
                                            <asp:Label ID="lblWindowOpen" runat="server"></asp:Label>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td style="width: 4px">
                                        </td>
                                        <td>
                                            <asp:CheckBox ID="chk24HourTimeFormat" runat="server" Style="position: static" Text="24-Hour Format"
                                                Checked="True" />
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </Template>
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                    <ig:ContentTabItem Text="Preview" Enabled="False" Hidden="true">
                    </ig:ContentTabItem>
                </Tabs>
            </ig:WebTab>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
